import { NgModule, ModuleWithProviders } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';

import {
  REDUCERS,
  EFFECTS,
} from './store';

@NgModule({
  imports: [
    StoreModule.forFeature('accounts', REDUCERS),
    EffectsModule.forFeature(EFFECTS),
  ],
})
export class AuthStoreModule {
}
